Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`alias`.`AliasBase``

class documentation

`class AliasBase: (source)`

Known subclasses: `twisted.mail.alias.AddressAlias`, `twisted.mail.alias.AliasGroup`, `twisted.mail.alias.FileAlias`, `twisted.mail.alias.ProcessAlias`

Constructor: `AliasBase(domains, original)`

View In Hierarchy

The default base class for aliases.

Method | `__init__` | No summary
Method | `domain` | Return the domain associated with original address.
Method | `resolve` | Map this alias to its ultimate destination.
Instance Variable | `domains` | See `__init__`.
Instance Variable | `original` | The original address being aliased.

def __init__(self, domains, original): (source)
overridden in `twisted.mail.alias.AddressAlias`, `twisted.mail.alias.AliasGroup`, `twisted.mail.alias.FileAlias`, `twisted.mail.alias.ProcessAlias`

Parameters
domains:`dict` mapping `bytes` to `IDomain` provider | A mapping of domain name to domain object.
original:`bytes` | The original address being aliased.

def domain(self): (source)

Return the domain associated with original address.

Returns
`IDomain` provider | The domain for the original address.

def resolve(self, aliasmap, memo=None): (source)
overridden in `twisted.mail.alias.AddressAlias`, `twisted.mail.alias.AliasGroup`

Map this alias to its ultimate destination.

Parameters
aliasmap:`dict` mapping `bytes` to `AliasBase` | A mapping of username to alias or group of aliases.
memo:`None` or `dict` of `AliasBase` | A record of the aliases already considered in the resolution process. If provided, `memo` is modified to include this alias.
Returns
`IMessage` or `None` | A message receiver for the ultimate destination or None for an invalid destination.

domains = (source)

See `__init__`.

original: `Address` = (source)

The original address being aliased.